Skip to main content
GET
https://api.folkyn.com
/
api
/
v1
/
activity-reports
/
{id}
Get activity report detail
curl --request GET \
  --url https://api.folkyn.com/api/v1/activity-reports/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "deliverables_catalog": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "quantity": 123,
        "amount_excl_vat": 123,
        "order_index": 123
      }
    ],
    "deliverable_timesheets": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "deliverable": "<string>",
        "delivered_on": "2023-12-25",
        "description": "<string>",
        "amount": 123,
        "date": "2023-12-25",
        "month": "<string>"
      }
    ],
    "accounting_tool_email": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mission": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "purchase_order": "<string>",
      "project_code": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "external_id": "<string>"
      }
    },
    "external_referent": {
      "email": "<string>",
      "company": "<string>"
    },
    "report_month": "<string>",
    "submission_date": "2023-11-07T05:31:56Z",
    "status": "draft",
    "reviewed_at": "2023-11-07T05:31:56Z",
    "approved_at": "2023-11-07T05:31:56Z",
    "rejection_reason": "<string>",
    "freelancer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "referent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "referent": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "first_name": "<string>",
        "last_name": "<string>"
      }
    },
    "invoicing_is_paid": true,
    "expenses_is_paid": true,
    "invoice_amount_excl_vat": 123,
    "expense_amount_excl_vat": 123,
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <your_api_key>

Path Parameters

id
string<uuid>
required

Response

Success

data
object